%global pkg_name csv

%global common_summary CSV loader and dumper

%global common_description This library parses and dumps documents that are formatted \
according to RFC 4180, "The common Format and MIME Type for \
Comma-Separated Values (CSV) Files". This format is used, \
among many other things, as a lingua franca for spreadsheets, \
and for certain web services.

%global ghc_pkg_deps ghc-parsec-devel

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.1.2
Release:        8%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%{?ghc_lib_package}


%changelog
* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.1.2-8
- Enable build on sparcv9

* Thu Feb 17 2011 Ben Boeckel <mathstuf@gmail.com> - 0.1.2-7
- Rebuild for broken dependencies

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 0.1.2-5
- Update to cabal2spec-0.22.4
- Rebuild

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 0.1.2-4
- rebuild

* Sun Nov 28 2010 Ben Boeckel <mathstuf@gmail.com> - 0.1.2-3
- Rebuild for GHC7

* Wed Nov 10 2010 Ben Boeckel <mathstuf@gmail.com> - 0.1.2-2
- Update to 0.1.2

* Sun Nov 07 2010 Ben Boeckel <mathstuf@gmail.com> - 0.1.1-2
- Rebuild

* Fri Sep 03 2010 Ben Boeckel <mathstuf@gmail.com> - 0.1.1-1
- Initial package

* Fri Sep  3 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.1.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
